import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { NgxDynamicTagService } from '../../dynamic-tag.service';
import { Field } from '../models/field.interface';
import { FieldConfig } from '../models/field-config.interface';
export declare class FormDatepickerComponent implements OnInit, Field {
    private dynamicTagService;
    config: FieldConfig;
    group: FormGroup;
    constructor(dynamicTagService: NgxDynamicTagService);
    ngOnInit(): void;
    getFormat(): "yyyy-MM-dd HH:mm:ss" | "HH:mm:ss" | "yyyy-MM-dd";
}
