import { OnInit, OnDestroy } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { FormGroup } from '@angular/forms';
import { NgxDynamicTagService } from '../../dynamic-tag.service';
import { FieldConfig } from '../models/field-config.interface';
import { Field } from '../models/field.interface';
import { NzMessageService } from 'ng-zorro-antd';
export declare class FormFileComponent implements Field, OnInit, OnDestroy {
    private domSanitizer;
    private toastMessage;
    private tagService;
    config: FieldConfig;
    fileList: any;
    group: FormGroup;
    LIST_TYPE: any;
    EXTS: any[];
    MAX_FILE_SIZE: number;
    MAX_FILE_NAME: number;
    modalConfig: {
        visible: boolean;
        title: any;
        type: any;
        url: any;
        ext: any;
        fileList: any;
    };
    private subscription;
    constructor(domSanitizer: DomSanitizer, toastMessage: NzMessageService, tagService: NgxDynamicTagService);
    modalClose(): void;
    onRemove: (file: any) => boolean;
    onPreview: (file: any) => void;
    getUrl(file: any): any;
    createFormData(): void;
    beforeUpload: (file: any) => boolean;
    ngOnInit(): void;
    initFiles(): void;
    ngOnDestroy(): void;
    checkFileType(type: any): boolean;
    checkImageExt(): boolean;
    private getServePath;
    private isValidExtension;
    private isValidFileSize;
}
