import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { NgxDynamicTagService } from '../dynamic-tag.service';
import { FieldConfig } from './models/field-config.interface';
export declare class DynamicFilterComponent implements OnInit, OnDestroy {
    dynamicTagService: NgxDynamicTagService;
    protected fb: FormBuilder;
    submitted: boolean;
    form: FormGroup;
    data: any;
    config: FieldConfig[];
    protected submit: EventEmitter<any>;
    protected change: EventEmitter<any>;
    protected focus: EventEmitter<any>;
    private subscription;
    constructor(dynamicTagService: NgxDynamicTagService, fb: FormBuilder);
    ngOnInit(): void;
    ngOnDestroy(): void;
    readonly controls: FieldConfig[];
    initData(): void;
    onSubmit(): void;
    resetForm(): void;
    onFocus($event: any): void;
    isValidFieldConfig(fieldConfig: any): boolean;
    protected formInitLibrary(): void;
    protected formInit(): void;
    protected unsubscribe(): void;
    private createGroup;
    private createArrayGroup;
    private createGroupBy;
    private createControl;
}
