import { ComponentFactoryResolver, EventEmitter, OnChanges, OnInit, ViewContainerRef } from '@angular/core';
import { FormConfig } from './models/form-config.interface';
export declare class DynamicFormDirective implements OnChanges, OnInit {
    private resolver;
    private container;
    config: FormConfig;
    protected submit: EventEmitter<any>;
    protected change: EventEmitter<any>;
    protected focus: EventEmitter<any>;
    private component;
    constructor(resolver: ComponentFactoryResolver, container: ViewContainerRef);
    ngOnChanges(): void;
    ngOnInit(): void;
}
