import { EventEmitter, OnInit } from '@angular/core';
import { NgxDynamicTagService } from '../../dynamic-tag.service';
export declare class EsriComponent implements OnInit {
    private tagService;
    containerId: string;
    onMapLoaded: EventEmitter<any>;
    viewType: any;
    viewpoint: any;
    basemap: any;
    basemapgallery: any;
    basemaptoggle: any;
    identityManager: any;
    identity: any;
    loading: boolean;
    graphic: any;
    geometryService: any;
    geometryEngine: any;
    projectParameters: any;
    areasAndLengthsParameters: any;
    distanceParameters: any;
    relationParameters: any;
    spatialReference: any;
    extent: any;
    point: any;
    polyline: any;
    polygon: any;
    circle: any;
    webMercatorUtils: any;
    simpleMarkerSymbol: any;
    pictureMarkerSymbol: any;
    simpleLineSymbol: any;
    simpleFillSymbol: any;
    uniqueValueRenderer: any;
    renderer: any;
    mapImageLayer: any;
    tileLayer: any;
    featureLayer: any;
    graphicsLayer: any;
    groupLayer: any;
    textSymbol: any;
    labelClass: any;
    home: any;
    popup: any;
    scaleBar: any;
    layerList: any;
    legend: any;
    expand: any;
    queryTask: any;
    printTask: any;
    printParameters: any;
    printTemplate: any;
    query: any;
    popupTemplate: any;
    spData: any;
    fullScreen: any;
    map: any;
    mapView: any;
    sceneView: any;
    esriRequest: any;
    esriConfig: any;
    constructor(tagService: NgxDynamicTagService);
    ngOnInit(): void;
    showLoading(): void;
    hideLoading(): void;
    registerToken(s: any, t: any): void;
    getMap(): any;
    getSceneView(): any;
    getMapView(): any;
    createLineSymbol(lineColor: any, lineWidth: any): any;
    createFillSymbol(fillColor: any, style: any, outlineColor: any, outlineWidth: any): any;
    createMarkerSymbol(fillColor: any, outlineColor: any, outlineWidth: any): any;
    createPictureMarkerSymbol(u: any, w: any, h: any): any;
    project(geometryList: any, wkId: any): any;
    relation(geometry1: any, geometry2: any, relation: any): any;
    distance(point1: any, point2: any): any;
    projectSp(geometryList: any, sp: any): any;
    calculateArea(polygonList: any): any;
    calculateDistance(geom1: any, geom2: any): any;
    /**
     * Extract points from single ring polygon
     * @param polygon esri/Polygon
     * @param wkId spatial reference
     * @param excludeLast true or false
     */
    getPoints(polygon: any, wkId: any, excludeLast: any): any[];
    /**
     * Extract points from single ring polygon
     * @param polygon esri/Polygon
     * @param sp spatial reference
     * @param excludeLast true or false
     */
    getPointsSp(polygon: any, sp: any, excludeLast: any): any[];
    /**
     * Simplify and remove duplicate points of polygon
     * @param polygon
     */
    simplifyPolygon(polygon: any): any;
}
