import { ValidatorFn } from '@angular/forms';
import { FieldRelation } from './field-relation.interface';
import { FieldArithmetic } from './field-arithmetic.interface';
export interface FieldAttribute {
    id?: string;
    label?: string;
    specificType?: string;
    library?: string;
    value?: any;
    tooltip?: any;
    link?: any;
    fileOptions?: any;
    mapField?: any;
    mapType?: any;
    options?: any;
    optionWidth?: any;
    arrayOptions?: any;
    hidden?: boolean;
    showTime?: boolean;
    disabled?: boolean;
    excluded?: boolean;
    loading?: boolean;
    prefix?: string;
    multiple?: boolean;
    relation?: FieldRelation;
    arithmetic?: FieldArithmetic;
    apiOptions?: any;
    gisOptions?: any;
    maxLength?: number;
    minLength?: number;
    rows?: number;
    suffix?: string;
    height?: number;
    width?: number;
    block?: boolean;
    offSet?: number;
    key?: string;
    icon?: string;
    placeholder?: string;
    useValue?: boolean;
    routerLink?: string;
    span?: any;
    required?: boolean;
    class?: string;
    minDate?: Date;
    maxDate?: Date;
    minNum?: number;
    maxNum?: number;
    maxSize?: number;
    validation?: ValidatorFn[];
    readonly?: boolean;
    onlyTime?: boolean;
    fileList?: any[];
}
