import { ModuleWithProviders } from '@angular/core';
export declare const customCurrencyMaskConfig: {
    align: string;
    allowNegative: boolean;
    allowZero: boolean;
    decimal: string;
    precision: number;
    prefix: string;
    suffix: string;
    thousands: string;
    nullable: boolean;
};
export declare const mapInputMaskConfig: {
    sufix: string;
    prefix: string;
    clearIfNotMatch: boolean;
    showTemplate: boolean;
    showMaskTyped: boolean;
    dropSpecialCharacters: boolean;
    shownMaskExpression: string;
    specialCharacters: string[];
    patterns: {
        '0': {
            pattern: RegExp;
        };
        '9': {
            pattern: RegExp;
            optional: boolean;
        };
        A: {
            pattern: RegExp;
        };
        S: {
            pattern: RegExp;
        };
        d: {
            pattern: RegExp;
        };
        m: {
            pattern: RegExp;
        };
        M: {
            pattern: RegExp;
        };
        H: {
            pattern: RegExp;
        };
        h: {
            pattern: RegExp;
        };
        s: {
            pattern: RegExp;
        };
    };
};
export declare class NgxDynamicModule {
    static forRoot(config?: any): ModuleWithProviders;
}
