import { ComponentFactoryResolver, EventEmitter, OnChanges, OnInit, ViewContainerRef } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { FieldConfig } from '../models/field-config.interface';
import { Field } from '../models/field.interface';
export declare class DynamicFieldDirective implements Field, OnChanges, OnInit {
    private resolver;
    private container;
    config: FieldConfig;
    group: FormGroup;
    focus: EventEmitter<any>;
    buttonClick: EventEmitter<any>;
    imageExported: EventEmitter<any>;
    submit: EventEmitter<any>;
    file: File;
    private component;
    constructor(resolver: ComponentFactoryResolver, container: ViewContainerRef);
    ngOnChanges(): void;
    ngOnInit(): void;
}
