import { OnInit, AfterViewInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { JsonEditorComponent, JsonEditorOptions } from 'ang-jsoneditor';
import { Field } from '../models/field.interface';
import { FieldConfig } from '../models/field-config.interface';
export declare class FormJsonComponent implements Field, OnInit, AfterViewInit {
    config: FieldConfig;
    group: FormGroup;
    editorOptions: JsonEditorOptions;
    editor: JsonEditorComponent;
    ngAfterViewInit(): void;
    update(): void;
    ngOnInit(): void;
}
