import { OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Field } from '../models/field.interface';
import { FieldConfig } from '../models/field-config.interface';
import { NgxDynamicTagService } from '../../dynamic-tag.service';
export declare class FormLocationComponent implements Field, OnDestroy {
    private tagService;
    config: FieldConfig;
    group: FormGroup;
    ready: boolean;
    destroyed: boolean;
    constructor(tagService: NgxDynamicTagService);
    ngOnDestroy(): void;
    onChanges(values: any): void;
    onSelect($event: any): void;
    loadData(node: any, index: number): PromiseLike<any>;
    private getCities;
    private getDistricts;
    private getQuarters;
    private getLocationMap;
}
